Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.ldap.sampler
Class LdapClient

    java.lang.Object
      org.apache.jmeter.protocol.ldap.sampler.LdapClient

public class LdapClient
extends Object

Ldap Client class is main class to create, modify, search and delete all the LDAP functionality available.

Constructor Summary
`LdapClient()` Constructor for the LdapClient object.

Method Summary
`void` | `connect(String host, String port, String rootdn, String username, String password)` Connect to server.
`void` | `createTest(BasicAttributes basicattributes, String string)` Create the attribute in the ldap directory for the given string.
`void` | `deleteTest(String string)` Delete the attribute from the ldap directory.
`void` | `disconnect()` Disconnect from the server.
`void` | `modifyTest(ModificationItem[] mods, String string)` Modify the attribute in the ldap directory for the given string.
`boolean` | `searchTest(String searchBase, String searchFilter)` Filter the data in the ldap directory for the given search base.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LdapClient

    public LdapClient()

  Constructor for the LdapClient object.

Method Detail

### connect

    public void connect(String host,
                        String port,
                        String rootdn,
                        String username,
                        String password)
                 throws NamingException

  Connect to server.

  Throws:
    `NamingException`

### disconnect

    public void disconnect()

  Disconnect from the server.

### searchTest

    public boolean searchTest(String searchBase,
                              String searchFilter)
                       throws NamingException

  Filter the data in the ldap directory for the given search base.

  Parameters:
    `searchBase` - where the search should start
    `searchFilter` - filter this value from the base
  Throws:
    `NamingException`

### modifyTest

    public void modifyTest(ModificationItem[] mods,
                           String string)
                    throws NamingException

  Modify the attribute in the ldap directory for the given string.

  Parameters:
    `mods` - add all the entry in to the ModificationItem
    `string` - the string (dn) value
  Throws:
    `NamingException`

### createTest

    public void createTest(BasicAttributes basicattributes,
                           String string)
                    throws NamingException

  Create the attribute in the ldap directory for the given string.

  Parameters:
    `basicattributes` - add all the entry in to the basicattribute
    `string` - the string (dn) value
  Throws:
    `NamingException`

### deleteTest

    public void deleteTest(String string)
                    throws NamingException

  Delete the attribute from the ldap directory.

  Parameters:
    `string` - the string (dn) value
  Throws:
    `NamingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.